البكسلات

بكسلات تتبع للروابط القصيرة.

GET/api/v1/pixels
إدراج بكسل
الاسمالنوعمطلوبالوصف
pageintegerلاPage number (default 1)
results_per_pageintegerلاItems per page (default 25, max 100)
searchstringلاSearch term
search_bystringلاColumn to search
order_bystringلاSort column
order_typestringلاasc or desc
datetime_startstringلاISO datetime filter start
datetime_endstringلاISO datetime filter end
curl -X GET 'https://forqrcode.com/api/v1/pixels' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/pixels/{id}
قراءة بكسل واحد
الاسمالنوعمطلوبالوصف
idintegerنعم
curl -X GET 'https://forqrcode.com/api/v1/pixels/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
POST/api/v1/pixels
إنشاء بكسل
curl -X POST 'https://forqrcode.com/api/v1/pixels' \
  -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/pixels/{id}
تحديث بكسل
الاسمالنوعمطلوبالوصف
idintegerنعم
curl -X PATCH 'https://forqrcode.com/api/v1/pixels/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
DELETE/api/v1/pixels/{id}
حذف بكسل
الاسمالنوعمطلوبالوصف
idintegerنعم
curl -X DELETE 'https://forqrcode.com/api/v1/pixels/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'

أسماء المعلمات وأمثلة JSON بالإنجليزية. استبدل YOUR_API_KEY بمفتاح حسابك.